# sbotc

A command-line SSB client in C. Use like the `sbot` command (except for `server`/`start`).

## Binaries

The following are binary builds of `sbotc`, static-linked with libsodium.

Commit `337cc5970b1b8b4f2e9330078f2ca3c87dd71f42`:

- [sbotc-linux-amd64](&23AcRy4F1nvY7ICLOFRwErbCd1qQrnVHNMc7VW8xDbI=.sha256)
- [sbotc-linux-musl-amd64](&EnySdDbPO88RxM59ho5rprxIXDKS0dzjULWcJr8QVRQ=.sha256)
- [sbotc-linux-armv7l](&SDY3PVRhPXcdjXaJQBBpeHjncGRkgcJHzafHRKtpw6s=.sha256)
- [sbotc-linux-powerpc](&mN6Yl7RKjlpodt+Crh5DE/bWeVG9l9BOQS9IkJuQ0Ko=.sha256)
- [sbotc-linux-musl-powerpc](&NOsRBNZ43cHJmZOM1xDY+DnDIVyQQewzIRp0fOa1NVw=.sha256)

Binaries listed below are built from not the latest commit, due to infrequent access to platforms. (If you can build for these, please open a PR.)

Commit `d606935df44de13c3debe461ca11ed2a72085484`:

- [sbotc-linux-x86](&9iaJLB6+NfSF+D6RQ16R8Yaik7b5POqhu5FPcbLanD0=.sha256)
- [sbotc-linux-arm64](&ewAlmOEbisdpdWD7+FUyNi8ddTFLKC4dfVVKFBQw6/o=.sha256)
- [sbotc-android-armv7l](&HiXJ+uGGgRXPgzVQFr4EAiYIJu/facnvU83AG31Q0Cc=.sha256)
- [sbotc-darwin-amd64](&ASsha7tt0eakUYPh7nKJGl8DqwOJ4MFPkZQjw9jY5KE=.sha256)

Thread: %pZpG7Bmq2UG2rLDXz5NS4agHb3FL20/ZJs8U9Ug2CrM=.sha256

## Install from source

Install the dependency, *sodium*. On Debian: `sudo apt-get install libsodium-dev`

Compile and install the program:

```sh
make
sudo make install
```

## Compile options

To build a binary statically linked with libsodium, use `make STATIC=1`

## Usage

```sh
sbotc [-j] [-T] [-l] [-r] [-e]
      [ -n | [-c <cap>] [-k <key>] [-K <keypair_seed>] ]
      [ [-s <host>] [-p <port>] [ -4 | -6 ] | [-u <socket_path>] ]
      [ -a | [-t <type>] <method> [<argument>...] ]
```

Arguments must be explicitly JSON-encoded.

For more information, see the manual page `sbotc(1)`.
